package com.hotent.portal.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableName;
import com.hotent.base.entity.BaseModel;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * 菜单收藏
 *
 * @company 广州宏天软件股份有限公司
 * @author zengst
 * @since 2021-06-21
 */
@ApiModel(value="MenuBookmark对象", description="菜单收藏")
@TableName("PORTAL_MENU_BOOKMARK")
public class MenuBookmark extends BaseModel<MenuBookmark> {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键")
    @TableId(value = "ID_", type = IdType.ASSIGN_ID)
    private String id;

    @ApiModelProperty(value = "菜单别名")
    @TableField("ALIAS_")
    private String alias;

    @ApiModelProperty(value = "菜单ID")
    @TableField("MENU_ID_")
    private String menuId;

    @ApiModelProperty(value = "父菜单ID")
    @TableField("PARENT_MENU_ID_")
    private String parentMenuId;

    @ApiModelProperty(value = "菜单链接")
    @TableField("HREF_")
    private String href;

    @ApiModelProperty(value = "菜单名称")
    @TableField("NAME_")
    private String name;

    @ApiModelProperty(value = "用户ID")
    @TableField("USER_ID_")
    private String userId;

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }
    public String getAlias() {
        return alias;
    }

    public void setAlias(String alias) {
        this.alias = alias;
    }
    public String getMenuId() {
        return menuId;
    }

    public void setMenuId(String menuId) {
        this.menuId = menuId;
    }
    public String getParentMenuId() {
        return parentMenuId;
    }

    public void setParentMenuId(String parentMenuId) {
        this.parentMenuId = parentMenuId;
    }
    public String getHref() {
        return href;
    }

    public void setHref(String href) {
        this.href = href;
    }
    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }


    @Override
    protected Serializable pkVal() {
        return this.id;
    }

    @Override
    public String toString() {
        return "MenuBookmark{" +
            "id=" + id +
            ", alias=" + alias +
            ", menuId=" + menuId +
            ", parentMenuId=" + parentMenuId +
            ", href=" + href +
            ", name=" + name +
        "}";
    }
}
